Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] trunk borked -- my fault
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-08-04 17:17:16


Checking this further, my C++ changes were r21755. Updating my SVN
tree to the commit before that (r21754), I see that AC 2.64 on this
tree issues these same warnings, but then configure works and the
build seems to proceed as normal.

Did you try AC 2.64 before today?

If not, I'd advise backing off AC 2.64 and moving back down to AC 2.63
until we can figure those warnings out. They *seem* to be harmless,
but I'm not entirely sure.

It looks like some things changed 2.63->2.64 with regards to how
languages are selected / used within AC 2.64 that break some of the
things I did today (perhaps AC 2.64 just got more strict...?).

On Aug 4, 2009, at 4:43 PM, Jeff Squyres (jsquyres) wrote:

> Doh. I tested with 2.63. I'll check out 2.64 right now...
>
>
> On Aug 4, 2009, at 4:37 PM, George Bosilca wrote:
>
> > Not completely fixed. With the latest version of autoconf (2.64) I
> get
> > a bunch of warnings.
> >
> > configure.ac:449: warning: AC_REQUIRE: `AC_PROG_CXX' was expanded
> > before it was required
> > ../../lib/autoconf/c.m4:671: AC_LANG_COMPILER(C++) is expanded
> from...
> > ../../lib/autoconf/lang.m4:315: AC_LANG_COMPILER_REQUIRE is expanded
> > from...
> > ../../lib/autoconf/general.m4:2735: AC_RUN_IFELSE is expanded
> from...
> > ../../lib/m4sugar/m4sh.m4:620: AS_IF is expanded from...
> > ../../lib/autoconf/general.m4:2018: AC_CACHE_VAL is expanded from...
> > ../../lib/autoconf/general.m4:2039: AC_CACHE_CHECK is expanded
> from...
> > config/ompi_check_compiler_works.m4:28: OMPI_CHECK_COMPILER_WORKS is
> > expanded from...
> > config/ompi_setup_cxx.m4:48: _OMPI_SETUP_CXX_COMPILER is expanded
> > from...
> > config/ompi_setup_cxx.m4:28: OMPI_SETUP_CXX is expanded from...
> > configure.ac:449: the top level
> > configure.ac:488: warning: AC_REQUIRE: `AC_PROG_F77' was expanded
> > before it was required
> > ../../lib/autoconf/fortran.m4:272: AC_LANG_COMPILER(Fortran 77) is
> > expanded from...
> > config/ompi_setup_f77.m4:35: OMPI_SETUP_F77 is expanded from...
> > configure.ac:488: the top level
> > configure.ac:603: warning: AC_REQUIRE: `AC_PROG_FC' was expanded
> > before it was required
> > ../../lib/autoconf/fortran.m4:279: AC_LANG_COMPILER(Fortran) is
> > expanded from...
> > config/ompi_setup_f90.m4:37: OMPI_SETUP_F90 is expanded from...
> > configure.ac:603: the top level
> >
> > george.
> >
> >
> > On Aug 4, 2009, at 14:49 , Jeff Squyres wrote:
> >
> > > Should be fixed in https://svn.open-mpi.org/trac/ompi/changeset/
> > > 21758. Sorry for the interruption...
> > >
> > >
> > > On Aug 4, 2009, at 10:24 AM, Jeff Squyres wrote:
> > >
> > >> Doh!
> > >>
> > >> I committed the "we don't need no stinkin' C++ compiler" changes
> > >> this morning after a bunch of testing, but I totally neglected to
> > >> test the case *with* a C++ compiler. :-(
> > >>
> > >> So the trunk is borked at the moment; I'm working on a fix...
> > >>
> > >> --
> > >> Jeff Squyres
> > >> jsquyres_at_[hidden]
> > >>
> > >> _______________________________________________
> > >> devel mailing list
> > >> devel_at_[hidden]
> > >> http://www.open-mpi.org/mailman/listinfo.cgi/devel
> > >
> > >
> > > --
> > > Jeff Squyres
> > > jsquyres_at_[hidden]
> > >
> > > _______________________________________________
> > > devel mailing list
> > > devel_at_[hidden]
> > > http://www.open-mpi.org/mailman/listinfo.cgi/devel
> >
> > _______________________________________________
> > devel mailing list
> > devel_at_[hidden]
> > http://www.open-mpi.org/mailman/listinfo.cgi/devel
> >
>
>
> --
> Jeff Squyres
> jsquyres_at_[hidden]
>
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel
>

-- 
Jeff Squyres
jsquyres_at_[hidden]